=== modified file 'bzrlib/tests/test_commit.py'
--- bzrlib/tests/test_commit.py	2006-11-28 19:19:15 +0000
+++ bzrlib/tests/test_commit.py	2007-02-03 14:00:36 +0000
@@ -110,6 +110,26 @@
         tree = b.repository.revision_tree('rev2')
         self.assertFalse(tree.has_id('hello-id'))
 
+    def test_partial_commit_move(self):
+        """Test whether a partial commit where a file was 
+        renamed but not committed.
+        
+        If not handled properly, commit will try to snapshot
+        dialog.py with olive/ as a parent, while 
+        olive/ has not been snapshotted yet.
+        """
+        wt = self.make_branch_and_tree('.')
+        b = wt.branch
+        os.mkdir("annotate")
+        os.mkdir("olive")
+        file('olive/dialog.py', 'w').write('hello world')
+        file('annotate/foo.py', 'w').write('meer blabla')
+        wt.add(['annotate', 'olive', 'annotate/foo.py', 'olive/dialog.py'])
+        wt.commit(message='add files')
+        wt.rename_one("olive/dialog.py", "hello")
+        file('annotate/foo.py', 'w').write('andere blabla')
+        wt.commit('renamed hello', specific_files=["annotate"])
+
     def test_pointless_commit(self):
         """Commit refuses unless there are changes or it's forced."""
         wt = self.make_branch_and_tree('.')

